# Copyright The Lightning AI team.
# Licensed under the Apache License, Version 2.0 (the "License");
#     http://www.apache.org/licenses/LICENSE-2.0
#
import random
from typing import Tuple

_LIGHT_THEME_COLORS = [
    "#792EE5",
    "#3FC55F",
    "#E02C2D",
    "#1877F2",
    "#F1AA03",
    "#D22CE0",
    "#FF6666",
    "#5CDB95",
    "#FFA500",
    "#00CED1",
    "#FFD700",
    "#BA55D3",
    "#1E90FF",
    "#FF1493",
    "#228B22",
    "#800000",
    "#FF00FF",
    "#00FA9A",
    "#8B008B",
    "#808080",
    "#7029e0",
    "#e52534",
    "#1172e8",
    "#cf33dc",
    "#188a23",
    "#7d0007",
    "#8d0894",
    "#7732dc",
    "#e43029",
    "#1d6eea",
    "#23911d",
    "#870009",
    "#8b0383",
    "#7427e3",
    "#e92633",
    "#1d6ef7",
    "#d02edc",
    "#188421",
    "#860100",
    "#8a0086",
    "#792fe7",
    "#e22830",
    "#1075f1",
    "#d02cdc",
    "#2c861b",
    "#780505",
    "#930283",
    "#7536e3",
    "#d6252a",
    "#cb24e3",
    "#1e9126",
    "#760000",
    "#8d0893",
    "#7124dc",
    "#df292f",
    "#1c74f2",
    "#ce24da",
    "#b05aca",
    "#1f9123",
    "#780009",
    "#8b0790",
    "#7c7b7e",
    "#7d30e0",
    "#da2e2b",
    "#258122",
    "#8b0a87",
    "#7529e1",
    "#dd2532",
    "#1276f4",
    "#d822da",
    "#188321",
    "#770a03",
    "#920091",
    "#7d26e6",
    "#e92d2d",
    "#1979ec",
    "#d526d7",
    "#23901b",
    "#790700",
    "#8e0185",
    "#798082",
    "#7134e0",
    "#da2824",
    "#1b77ef",
    "#20851a",
    "#7b0700",
    "#870185",
    "#797c85",
    "#732aee",
    "#e22a26",
    "#146efb",
    "#b551cc",
    "#258c19",
    "#870001",
    "#900081",
    "#768184",
    "#8335ed",
    "#e82634",
    "#1c78eb",
    "#1a8d24",
]

_DARK_THEME_COLORS = [
    "#FA00F0",
    "#00FA9A",
    "#FA0000",
    "#0091FA",
    "#FFD700",
    "#FF6666",
    "#D22CE0",
    "#5CDB95",
    "#FFA500",
    "#00CED1",
    "#F1AA03",
    "#BA55D3",
    "#1E90FF",
    "#FF1493",
    "#228B22",
    "#800000",
    "#FF00FF",
    "#3FC55F",
    "#8B008B",
    "#808080",
    "#fe00ed",
    "#06eea7",
    "#0085f9",
    "#f5cf00",
    "#ff6b6c",
    "#d224ee",
    "#5fdfa1",
    "#ffa700",
    "#00cdd6",
    "#ffa110",
    "#b751d5",
    "#128ef4",
    "#ff1688",
    "#ff08f6",
    "#43c961",
    "#7a8784",
    "#ff00ef",
    "#0bfaad",
    "#0086f3",
    "#ffd700",
    "#ff646b",
    "#5ce394",
    "#ffab00",
    "#00d0cf",
    "#fbaa03",
    "#219aff",
    "#ff137b",
    "#ff0cf1",
    "#39d56b",
    "#6f9176",
    "#fb00ea",
    "#00fbb8",
    "#0a91fb",
    "#f8d902",
    "#fb7073",
    "#54dca1",
    "#fb9d02",
    "#00c2db",
    "#ffb30f",
    "#268cf0",
    "#f11170",
    "#f211f2",
    "#47ce7a",
    "#719b73",
    "#f305e3",
    "#03ffbd",
    "#048df6",
    "#ffe200",
    "#f56973",
    "#4cdeaf",
    "#ff9a0f",
    "#00c3ce",
    "#ffb417",
    "#2898f6",
    "#f10468",
    "#ff03e5",
    "#54d584",
    "#6a9179",
    "#fe0be3",
    "#00fec0",
    "#0097fb",
    "#feef01",
    "#f2756e",
    "#4ee0a4",
    "#f29902",
    "#00cfce",
    "#ffa91e",
    "#2292f9",
    "#fb0361",
    "#f306e6",
    "#4ed78e",
    "#70897c",
    "#fe05e8",
    "#00f6bd",
    "#00a6ff",
    "#ffe900",
    "#f67b78",
    "#40d3a0",
    "#e98e10",
    "#00d0db",
]


def _create_colors() -> Tuple[str, str]:
    idx = random.randint(0, len(_DARK_THEME_COLORS) - 1)
    return _LIGHT_THEME_COLORS[idx], _DARK_THEME_COLORS[idx]
